Commit 0149d94e authored by saubatn's avatar saubatn
Browse files

UPDATED Provide support for 4.6 new ITK version.

git-svn-id: svn+ssh://scm.forge.imag.fr/var/lib/gforge/chroot/scmrepos/svn/camitk/trunk/camitk@1971 ec899d31-69d1-42ba-9299-647d76f65fb3
parent 59b626a4
......@@ -514,7 +514,7 @@ macro(camitk_application)
endif()
# ITK 4.5.x (mostly 4.5.1)
elseif((${ITK_VERSION} VERSION_GREATER "4.4") AND (${ITK_VERSION} VERSION_LESS "4.6"))
elseif((${ITK_VERSION} VERSION_GREATER "4.4") AND (${ITK_VERSION} VERSION_LESS "4.7"))
if(MSVC)
message(FATAL_ERROR "ITK version 4.5.x is not supported yet on Visual Studio compiler. You may file a feature request: https://bugzilla-timc.imag.fr/")
elseif(MINGW)
......@@ -601,7 +601,7 @@ macro(camitk_application)
message(FATAL_ERROR "ITK version 4.5.x is not supported yet for Linux platform. You may file a feature request: https://bugzilla-timc.imag.fr/")
endif()
# ITK version > 4.5 (mostly ITK 5.x)
# ITK version > 4.6 (mostly ITK 5.x)
else()
message(FATAL_ERROR "CamiTK does not support yet ITK version 5.x. You may file a feature request: https://bugzilla-timc.imag.fr/")
endif()
......
......@@ -551,7 +551,7 @@ macro(camitk_extension)
endif()
# ITK 4.5.x (mostly 4.5.1)
elseif((${ITK_VERSION} VERSION_GREATER "4.4") AND (${ITK_VERSION} VERSION_LESS "4.6"))
elseif((${ITK_VERSION} VERSION_GREATER "4.4") AND (${ITK_VERSION} VERSION_LESS "4.7"))
if(MSVC)
if(MSVC90 OR MSVC10) #ITK 3.x only works with VS 2008 / 2010
message(FATAL_ERROR "ITK version ${ITK_VERSION} is not compatible with Visual Studio 2008 or 2010. Please install ITK version 3.20.1")
......@@ -794,7 +794,7 @@ macro(camitk_extension)
# ITK_LIBRARIES is already set
endif()
# ITK version > 4.5 (mostly ITK 5.x)
# ITK version > 4.6 (mostly ITK 5.x)
else()
message(FATAL_ERROR "CamiTK does not support yet ITK version 5.x. You may file a feature request: https://bugzilla-timc.imag.fr/")
endif()
......
......@@ -492,7 +492,7 @@ macro(camitk_library)
endif()
# ITK 4.5.x (mostly 4.5.1)
elseif((${ITK_VERSION} VERSION_GREATER "4.4") AND (${ITK_VERSION} VERSION_LESS "4.6"))
elseif((${ITK_VERSION} VERSION_GREATER "4.4") AND (${ITK_VERSION} VERSION_LESS "4.7"))
if(MSVC)
message(FATAL_ERROR "ITK version 4.5.x is not supported yet on Visual Studio compiler. You may file a feature request: https://bugzilla-timc.imag.fr/")
elseif(MINGW)
......@@ -579,7 +579,7 @@ macro(camitk_library)
message(FATAL_ERROR "ITK version 4.5.x is not supported yet for Linux platform. You may file a feature request: https://bugzilla-timc.imag.fr/")
endif()
# ITK version > 4.5 (mostly ITK 5.x)
# ITK version > 4.6 (mostly ITK 5.x)
else()
message(FATAL_ERROR "CamiTK does not support yet ITK version 5.x. You may file a feature request: https://bugzilla-timc.imag.fr/")
endif()
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment